[script]
n0=#sifre off
n1=on *:notice:*Nickserv*IDENTIFY*:*: { if ($nick == Nickserv) .dialog -m sifre sifre }
n2=on *:notice:*Kayıt*nick*:*: { if ($nick == Nickserv) .dialog -m sifre sifre }
n3=#sifre end
n4=alias sifre { .dialog -m sifre sifre }
n5=dialog sifre {
n6=  title "Sosyetem mIRC Şifre Paneli"
n7=  size -1 -1 130 130
n8=  option dbu
n9=  box $me Kayitli bir Nicktir., 2, 4 2 122 50
n10=  text " Sifre Gir: ", 3, 10 12 50 10
n11=  text " Nick Degistir:", 4, 10 24 50 10
n12=  edit "", 5, 70 12 50 10, pass autohs
n13=  edit "", 6, 70 24 50 10, autohs
n14=  button "Uygula", 8, 10 38 110 10, ok
n15=  box "", 9, 4 54 122 60
n16=  check "Oto Nick Identify Aç Kapat", 10, 10 60 110 8
n17=  text " Şifre Gir;", 11, 10 70 50 10
n18=  edit "", 12, 70 70 50 10, pass autohs
n19=  check "Oto Oper nick Oper Pass Aç Kapat", 13, 10 82 110 8
n20=  text " Oper Nick Gir;", 14, 10 92 50 8
n21=  text " Oper Pass Gir;", 15, 70 92 50 8
n22=  edit "", 16, 10 102 50 10, flat
n23=  edit "", 17, 70 102 50 10, pass autohs
n24=  button "Tamam", 18, 10 117 110 10, cancel
n25=}
n26=on 1:dialog:sifre:sclick:*: {
n27=  if ($did(10).state == 1) { .enable #otonick | .disable #sifre } | else { .disable #otonick | .enable #sifre }
n28=  if ($did(13).state == 1) { .enable #operpasta } | else { .disable #operpasta }
n29=  if ($did == 8) { if ($null != $did(6)) .nick $did(6) | .ns identify $did(5)
n30=    else {
n31=      .ns identify $did(5)
n32=    }
n33=  }
n34=}
n35=on 1:dialog:sifre:*:*:{
n36=  if ($devent == edit) {
n37=    if ($did == 12) { set %oto-nick-sifre $did(12) }
n38=    if ($did == 16) { set %oper-nick $did(16) }
n39=    if ($did == 17) { set %oper-pass $did(17) }
n40=  }
n41=  if ($devent == init) {
n42=    idset
n43=    if ($group(#otonick) == on) { did -c sifre 10 }
n44=    if ($group(#operpasta) == on) { did -c sifre 13 }
n45=    did -ra $dname 12 %oto-nick-sifre
n46=    did -ra $dname 16 %oper-nick 
n47=    did -ra $dname 17 %oper-pass
n48=  }
n49=}
n50=#otonick on
n51=on *:notice:*:*:{
n52=  if ($nick == NickServ) {
n53=    if (*Nickserv*IDENTIFY* iswm $1-) {
n54=      .dialog -m sifre sifre
n55=      .ns identify %oto-nick-sifre 
n56=    }
n57=    if (*Sifre*kabul*edildi* iswm $1-) {
n58=      echo -a 14,14l15,1  $me Şifreniz Kabul Edildi. Hoş Sohbetler. 14,14l %logo
n59=      .dialog -x sifre sifre
n60=      .halt
n61=    }
n62=  }
n63=}
n64=#otonick end
n65=#operpasta on
n66=on *:connect:{
n67=  .oper %oper-nick %oper-pass
n68=}
n69=#operpasta end  
